<template>
    <div class="flex text-gray-600 dark:text-gray-400 whitespace-nowrap">
        <span v-if="prefix" class="hidden sm:inline mr-1">{{ prefix }} </span>
        <span v-if="article.createdAt">{{ $formatDate(article.createdAt) }}</span>
        <span v-if="article.author" class="ml-1">
            by
            <span class="font-medium text-green-500 cursor-pointer hover:underline">
                {{ article.author.name }}
            </span>
        </span>
        <span class="opacity-60 mx-1 sm:mx-2">•</span>
        <span>{{ article.readingTime }}</span>
    </div>
</template>

<script>
export default {
    props: {
        article: {
            type: Object,
            required: true,
        },
        prefix: {
            type: String,
            default: null,
        },
    },
}
</script>
